## openmw 0.50.0

=== debian/changelog ===
openmw (0.50.0-1) unstable; urgency=medium

  * Team upload

  [ Bret Curtis ]
  * Upstream release: OpenMW-0.50.0
    + Fix FTBFS with boost 1.90 (Closes: #1128160)

 -- Sébastien Noel <sebastien@twolife.be>  Mon, 02 Mar 2026 16:39:36 +0100
