=== debian/watch ===
Version: 5
Template: Github
Owner: OpenMW
Project: openmw
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@PACKAGE@-@SEMANTIC_VERSION@
